package cn.hnthyy.thmz.service.thmz;

import java.util.Date;

public interface HaiCiAdapterService {
    /**
     * 更新病人卡号 消息通知
     * @param oldCardNo 老卡号
     * @param cardNo 新卡号
     * @param timeStamp 变更时间
     */
    void cardChangeNotice(String oldCardNo,String cardNo,Date timeStamp);



    /**
     * 向病人发送通用消息
     * @param cardNo 卡号
     * @param message 消息内容
     * @param timeStamp 消息时间
     */
    void commonMessageNotice(String cardNo,String message,Date timeStamp);


    /**
     * 医技预约驳回回调接口
     * @param reqNo
     */
    void rejectCallbackScheduleOfMedical(String reqNo);

    /**
     * 刷新缓存
     */
    void refreshMzClasses();

    /**
     * 叫号通知
      * @param serialNo 分诊流水号
     *  @param  action 消息类型：1: 通知患者就诊，2：正在就诊，3：刷新门口屏显
     */
    void notify(String serialNo,Integer action);
}
